Lavalite package that provides portal management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/portal`.

    "bixo/portal": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Portal\Providers\PortalServiceProvider::class,

And also add it to alias

    'Portal'  => Bixo\Portal\Facades\Portal::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\PortalTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Portal\Providers\PortalServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Portal\Providers\PortalServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Portal\Providers\PortalServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/portal/{modulename}

**User**

    http://path-to-route-folder/user/portal/{modulename}

**Public**

    http://path-to-route-folder/portals


### API endpoints

**List**

    http://path-to-route-folder/api/user/portal/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/portal/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/portal/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/portal/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/portal/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/portal/{modulename}/{slug}
    METHOD: GET