<?php

namespace Bixo\Portal;

use User;

class Portal
{
    /**
     * $portal object.
     */
    protected $portal;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Portal\Interfaces\PortalRepositoryInterface $portal)
    {
        $this->portal = $portal;
    }

    /**
     * Returns count of portal.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.portal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->portal->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\PortalUserCriteria());
        }

        $portal = $this->portal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('portal::' . $view, compact('portal'))->render();
    }
}
