<?php

namespace Bixo\Portal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PortalTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Portal\Models\Portal $portal)
    {
        return [
            'id'                => $portal->getRouteKey(),
            'key'               => [
                'public'    => $portal->getPublicKey(),
                'route'     => $portal->getRouteKey(),
            ], 
            'name'              => $portal->name,
            'email'             => $portal->email,
            'slug'              => $portal->slug,
            'description'       => $portal->description,
            'deleted_at'        => $portal->deleted_at,
            'url'               => [
                'public'    => trans_url('portal/'.$portal->getPublicKey()),
                'user'      => guard_url('portal/portal/'.$portal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$portal->status),
            'created_at'        => format_date($portal->created_at),
            'updated_at'        => format_date($portal->updated_at),
        ];
    }
}